/*
 * Copyright (C) 2020 ~ 2020 Deepin Technology Co., Ltd.
 *
 * Author:     zhanglei <zhanglei_cm@deepin.com>
 *
 * Maintainer: zhanglei <zhanglei_cm@deepin.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SUCCESS_H
#define SUCCESS_H

#include <DWidget>
#include <DLabel>
#include <DSuggestButton>
#include <QVBoxLayout>

DWIDGET_USE_NAMESPACE

class SuccessWidget : public QWidget
{
    Q_OBJECT
public:
    explicit SuccessWidget(QWidget *parent = 0);
    ~SuccessWidget();

private:
    DLabel *head_picture;
    QImage *image;
    DLabel *success_lable;
    DLabel *lable;
    DSuggestButton *button;
    QVBoxLayout *layout;
private:
    void initUI();

signals:
    void changePage();

public slots:

};

#endif // SUCCESS_H
